“npm install”尽pipe有一个package.json,但没有做任何事情

我不知道是因为升级了npm还是node,而是“npm install”在升级之前一直工作,经过这个问题的努力之后,决定恢复使用NodeJs v4.2.6和npm v2。 14.18 – 尽pipe如此,这还没有解决这个问题。 当删除我的node_modules文件夹,然后运行“npm install”,它不会做任何事情,如下所示:

在这里输入图像描述

这是我的package.json

{ "private": true, "jspm": { "dependencies": { "angular": "github:angular/bower-angular@^1.4.7", "angular-animate": "github:angular/bower-angular-animate@^1.4.8", "angular-bootstrap-contextmenu": "npm:angular-bootstrap-contextmenu@^0.9.6", "angular-loading-bar": "github:chieffancypants/angular-loading-bar@^0.8.0", "angular-local-storage": "npm:angular-local-storage@^0.2.2", "angular-messages": "github:angular/bower-angular-messages@^1.4.7", "angular-mocks": "github:angular/bower-angular-mocks@^1.4.7", "angular-ui-bootstrap": "npm:angular-ui-bootstrap@^0.14.0", "angular-ui-grid": "github:angular-ui/bower-ui-grid@^3.0.7", "angular-ui-router": "github:angular-ui/ui-router@^0.2.15", "bootstrap": "github:twbs/bootstrap@^3.3.6", "bootstrap-sass": "github:twbs/bootstrap-sass@^3.3.6", "clean-css": "npm:clean-css@^3.4.9", "font-awesome": "npm:font-awesome@^4.5.0", "jquery": "github:components/jquery@2.1.3", "json": "github:systemjs/plugin-json@^0.1.0", "lodash": "npm:lodash@^3.10.1", "moment": "github:moment/moment@^2.10.6", "ngstorage": "npm:ngstorage@^0.3.9", "restangular": "github:mgonto/restangular@^1.5.1", "text": "github:systemjs/plugin-text@^0.0.2", "toastr": "github:CodeSeven/toastr@^2.1.2" }, "devDependencies": { "babel": "npm:babel-core@^5.8.24", "babel-runtime": "npm:babel-runtime@^5.8.24", "core-js": "npm:core-js@^1.1.4" } }, "devDependencies": { "babel": "^5.8.35", "babel-core": "^5.8.35", "babel-polyfill": "^6.3.14", "babel-runtime": "^5.8.35", "browser-sync": "^2.11.1", "core-js": "^1.2.3", "del": "^2.1.0", "extend": "^3.0.0", "gulp": "^3.9.0", "gulp-autoprefixer": "^3.1.0", "gulp-changed": "^1.3.0", "gulp-clean": "^0.3.1", "gulp-cli": "^0.3.0", "gulp-concat": "^2.6.0", "gulp-filter": "^3.0.1", "gulp-htmlhint": "^0.3.0", "gulp-if": "^2.0.0", "gulp-jshint": "^1.11.2", "gulp-karma": "0.0.5", "gulp-livereload": "^3.8.1", "gulp-minify-css": "^1.2.2", "gulp-notify": "^2.2.0", "gulp-plumber": "^1.0.1", "gulp-preprocess": "^2.0.0", "gulp-rename": "^1.2.2", "gulp-replace": "^0.5.4", "gulp-sass": "^2.0.4", "gulp-slash": "^1.1.3", "gulp-sourcemaps": "^1.6.0", "gulp-util": "^3.0.7", "isparta": "^3.1.0", "jasmine-async-sugar": "^1.3.0", "jasmine-core": "^2.3.4", "jshint-stylish": "^2.0.1", "jspm": "^0.16.24", "karma": "^0.13.14", "karma-babel-preprocessor": "^5.2.2", "karma-chrome-launcher": "^0.2.1", "karma-cli": "^0.1.1", "karma-coverage": "^0.5.2", "karma-coveralls": "^1.1.2", "karma-firefox-launcher": "^0.1.6", "karma-ie-launcher": "^0.2.0", "karma-jasmine": "^0.3.6", "karma-jspm": "^2.0.1", "karma-junit-reporter": "^0.3.7", "karma-phantomjs-launcher": "^0.2.1", "karma-safari-launcher": "^0.1.1", "karma-vs-reporter": "^0.8.0", "karma-xml-reporter": "^0.1.4", "phantomjs": "^1.9.18", "phantomjs-polyfill": "0.0.1", "require-dir": "^0.3.0", "run-sequence": "^1.1.5", "systemjs-builder": "^0.14.11", "ui-grid": "0.0.0", "yargs": "^3.29.0" } } 

任何想法将不胜感激。 我清除了我的npmcaching,但是没有帮助。

       

网上收集的解决方案 "“npm install”尽pipe有一个package.json,但没有做任何事情"